Need help with upgrading a wii running 4.1E Im lost.

Discussion in 'Wii - Hacking' started by Sherb, May 14, 2014.

  1. Sherb
    OP

    Sherb Member

    Newcomer
    10
    0
    May 5, 2014
    Not exactly a noob but I feel like one here. I hacked my wii years back and now ive come back to it so as to try and install a USB Hard drive and GX loader and im lost. Ive tried to follow this http://wiibrew.org/wiki/Homebrew_setup but ive already got HB channel install and other stuff ive lost track of over the years. I thought it best to do a nand backup first but no matter which way I try I cant get Boot Mii to run the drive just flashes blub, and it seems its not on the SD card according to BootMii config editor. Preloader is onboard and runs but again Bootmii wont load I guess cuz its not there.

    Ive added the latest version of Hackmii 1.2 to the card and tried to run this to add Bootmii but this again ends with a black screen and a flashing drive,and needing a reset as did trying to run V0.7.

    Im about totally confused and feel like it maybe easier to be noob with an un flashed Wii LOL

    What I have.
    Wii with HB channel installed running software ver 4.1E and Preloader 236 (I think) as it is in the HB channel menu. I can also see IOS236 installer V5Mod so im guessing that maybe installed and the original version of hackmii Is also there which is Ver 0.7. and also 1.2 which I added today.

    What im after is a way to run USB loader GX to play both my Wii and GC titles from the USB hard drive and back up my Wii and GC disks to that HDD.

    Any help would be gratefully received and if you could dig me out of this hole too that would be awesome LOL.
    Cheers Sherb.

    PS also cant update to ver 4,3 via the online Wii update.
     
  2. brausm08

    brausm08 GBAtemp Advanced Fan

    Member
    721
    17
    Nov 15, 2009
    United States
    USA - Midwest
    are you talking bootmii/IOS or Bootmii/boot2? bootmii from HBC loads bootmii/IOS if present. do you know if you have/have you tried using bootmii/boot2?

    is your HBC running on IOS58? if not, your hackmii installer might be black screening because you don't have a hackmii compatible IOS version for it to run on. i've only seen this happen on old wiis with missing IOS/old IOS versions. you could try installing IOS58 (using a wad manager or IOS58 installer), then retrying the hackmii installer to reinstall HBC and bootmii.

    as far as Wii and GC games...to get what you want just install the latest d2x in slots 249 and 250 for wii games and loader, then DM(L).wad and/or nintendont and/or devolution for GC games. you really don't need anything else....there's not a brick risk adding those few files....

    your online update could be failing because of a priiloader hack (block updates). either way, i wouldn't update via that route. have you tried using modmii? ... (modmii link in my sig)
     
  3. Sherb
    OP

    Sherb Member

    Newcomer
    10
    0
    May 5, 2014
    Thanks very much for the reply and i pretty much follow and understand it so ill try the things you have said and get back to you with how I get on.
    You would be correct in thinking it is an old Wii as it was an early model and is lagging behind a few years.
    Again thanks for the help.
    Cheers Sherb.
     
  4. Sherb
    OP

    Sherb Member

    Newcomer
    10
    0
    May 5, 2014
    Hi again I did try to install Ios58 with Ios58 installer but install failed so im stuck :(
     
  5. brausm08

    brausm08 GBAtemp Advanced Fan

    Member
    721
    17
    Nov 15, 2009
    United States
    USA - Midwest
    you could try installing IOS58 with MMM (make sure it's running on 236). if needed, you can get it from modmii.

    you could also throw up a syscheck so we can see exactly where you're at. hopefully that works since you've been having zero luck installing anything.
     
  6. jonthedit

    jonthedit GBAtemp Advanced Maniac

    Member
    1,691
    438
    May 30, 2011
    Bangladesh
    Avoid 4.3
    There is a reason you are on 4.1
    If you are trying to upgrade for online usage, you can access online via 4.1
    Also N's WFC is getting shut down.
     
  7. Sherb
    OP

    Sherb Member

    Newcomer
    10
    0
    May 5, 2014
    Ok im a little more confused now LOL Honestly I dont care what firmware is running all I want is the hard drive with my titles on (Wii and Cube and the Homebrew channel its online apps etc. Not worried about Nintendo updates or wifi content if thats what " N`s WFC" means cuz im guessing having not been into this for some years. (please forgive me im getting old LOL)
    Ive since tried this morning to enable the online and disk updates in Priiloader. This I thought was stopping the IOS58 loader after the download but nope it still fails.
    I noticed there is info on the Priiloader screen showing IOS as V60 System450 Priiloader V0.4(r78) (Priiloader is a mod of Preloader SO I may have over lookined the fact I have a strange modded version on my Wii. Sorry about that.
    This machine was working fine and im not sure if I have installed or tried to install something to get the game Cube games to run (as they dont) or my son has installed a disk update some how as for the life of me I dont remember installing Priiloader.
    I think its probably better to start with a syscheck so im off to try and find out how to save a bit of time.
    As of this moment though its not allowing any kind of update/flash at all and im amazed its still running.
    Thanks for all the help. Cheers Sherb.
     
  8. Yepi69

    Yepi69 Vivid and busy gamer

    Member
    2,443
    1,041
    Nov 29, 2010
    Portugal
    Behind you
    Use Dop-Mii to do that, don't install the IOSes yourself if you're a noob or you can brick your Wii, also I suggest you install Priiloader and Bootmii (possible as Boot2) first BEFORE upgrading or doing anything.
     
  9. Sherb
    OP

    Sherb Member

    Newcomer
    10
    0
    May 5, 2014
    Syscheck done using V2.1.0b13 runs on IOS58 (rev6176)

    wont type it all but here goes.
    Pal
    Sysmenu 4.1E(v450)
    HB ch 1.0.0 on IOS58
    Hollywood v0x11
    Boot2 v2
    found 103 titles
    found 43 IOS on this console 1 of them stub.
    IOS (rev3): Stub
    IOS9 (rev 1034) No patches
    IOS11 (rev16174):Trucha bug,NAND access
    IOS12 (rev526): No Patches
    IOS13 (rev 1032):no patches
    IOS14 (rev 1032):no patches
    IOS15 (rev 1032):no patches
    IOS17 (rev 1032):no patches
    IOS20 (rev16174):Trucha bug,NAND access
    IOS21 (rev1039)::no patches
    IOS22 (rev 1294):no patches
    IOS28 (rev 1807):no patches
    IOS30 (rev16174):Trucha bug,NAND access
    IOS31 (rev 3608): no patches
    IOS33 (rev 3608): no patches
    IOS34 (rev 3608): no patches
    IOS35 (rev 3608): no patches
    IOS36 (rev 3608): no patches
    IOS37 (rev 5663): no patches
    IOS38 (rev 4124): no patches
    IOS41 (rev 3607): no patches
    IOS43 (rev 3607): no patches
    IOS45 (rev 3607): no patches
    IOS46 (rev 3607): no patches
    IOS48 (rev 4124): no patches
    IOS50(rev 14889):Trucha bug,NAND access
    IOS51 (rev 4633):Trucha bug
    IOS53 (rev 5663): no patches
    IOS55 (rev 5663): no patches
    IOS56 (rev 5662): no patches
    IOS57 (rev5919): no patches
    IOS58 (rev 6176): USB 2.0
    IOS60 (rev16174):Trucha bug,NAND access
    IOS61 (rev 5662): no patches
    IOS70 (rev 16687):Trucha bug,NAND access
    IOS202 [57] (rev 65535.info hermes.v5.0) Trucha bug,NAND access USB 2.0
    IOS222 [38] (rev 65535.info hermes.v5.0) Trucha bug,ES identity,NAND access USB 2.0
    IOS223 [38] (rev 4.info hermes.v4.0) Trucha bug,ES identity,NAND access USB 2.0
    IOS224 [57] (rev 65535.info hermes.v5.0) Trucha bug,NAND access USB 2.0
    IOS236 [36] (rev 65535.info rev 3515) :Trucha bug,ES identity,NAND
    IOS249 (rev 21003) Trucha bug,NAND access USB 2.0
    IOS250 (rev 21003) Trucha bug,NAND access USB 2.0
    IOS254 (rev 65281): BootMii
    BC v2
    MIOS v10

    Yep I understand just about none of that LOL. Hope this helps.............. :D
     
  10. Yepi69

    Yepi69 Vivid and busy gamer

    Member
    2,443
    1,041
    Nov 29, 2010
    Portugal
    Behind you
    Your Wii can install Bootmii as Boot2, I would suggest so.
     
  11. Sherb
    OP

    Sherb Member

    Newcomer
    10
    0
    May 5, 2014
    Ah I think im now getting my head around it please correct me if im wrong. :D Bootmii, Preloader and Priiloader are similar and when I installed Priiloader I overwrote Bootmii in IOS58 am I right? There for the shortcut from the HB channel cant find it because Priiloader is taking up that space? Is this correct?

    Now Ive installed BootMii to boot2 (different location right?) using Hackmiiv1.2 and it now boots to the BootMii screen(getting somewhere now me thinks?)
    Im guessing the installed Priiloader wouldnt allow an install that over wright`s the same sector its occupying which is why I was getting a black screen and nothing (how am I doing?)
    So my quest goes on,do I upgrade to 4.3E and then follow the guides and /or do I need to can I stick with 4.1E?
    Either way I need to progress onto getting this USB loader GX running so will it run on 4.1E please? and if so how to?
    Again thanks for all the help and patients with a old boy thats lost his way a bit. ;)
     
  12. Yepi69

    Yepi69 Vivid and busy gamer

    Member
    2,443
    1,041
    Nov 29, 2010
    Portugal
    Behind you
    Honestly you don't gain nothing by upgrading to 4.3, I had 4.3 and I downgraded to 4.1 just a little while ago, having 4.1 with bootmii as boot2 and priiloader is basically the best protection a Wii can have.
     
  13. Sherb
    OP

    Sherb Member

    Newcomer
    10
    0
    May 5, 2014
    Thanks but am I understanding things and can I still run USB loader GX?
     
  14. Yepi69

    Yepi69 Vivid and busy gamer

    Member
    2,443
    1,041
    Nov 29, 2010
    Portugal
    Behind you
    On 4.1 yes you can, and since you already have your cIOSes in order, just download it and have a blast.
     
  15. DaMan4169

    DaMan4169 Advanced Member

    Newcomer
    95
    4
    Aug 12, 2009
    United States
    Preloader/Priiloader runs after Bootmii @ boot2 code, they can both be installed on a Wii. When you turn on your Wii the boot order goes boot0 (Nintendo code), boot1 (Nintendo code), boot2 (hackmii code), Priiloader (homebrew code), System Menu (Nintendo code). On later versions of the Wii Nintendo fixed the flaw in the boot code that allowed homebrew code to be inserted into the boot2 segment that allowed gaining full control at a very low level.


    While you do have cIOSs 249 and 250 (IIRC by the listed version they are the d2x v3), you need to have at least the d2x v7 (v8 was last stable release) for GX to be able to play GC games in addition to DM version of MIOS (not sure what it shows as version cuz I don't use it).

    As suggested before, get Modmii installed on your computer. Either run Modmii (not Modmii Skin) and type su then drag and drop your syscheck fie into window or just drag and drop your syscheck file onto Modmii.exe or Modmii shortcut and it will create a guide to do a System Upgrade for your setup with video links. (It looks like the site is down right now, Modmii on google code)

    From your systemcheck, it looks like your game IOSs are up-to-date just missing a patched IOS80 (used by SM4.3) and old 249 & 250. Also that Priiloader version is old, last recommended one was v0.7. You could just navigate Modmii's DL pages and collect the files but it really does make a great guide for you.

    Not sure what version of GX Modmii would get for you so goto GX download page and get the USBLoader GX Installer v1.8. It will download the most recent version for you (the .dol or ones in the AIO packages are r1180 and won't play GC games need at least r1207)

    Lastly make sure you have DM (the iframe on google code page isn't working correctly so to the source from crediar) Dios Mios you want the first one if playing from USB and real NAND.
     
  16. Sherb
    OP

    Sherb Member

    Newcomer
    10
    0
    May 5, 2014
    Thankyou all I will try this when I can get a bit of time and let you know how I get on.
    Cheers Sherb.


    One more thing reading this "While you do have cIOSs 249 and 250 (IIRC by the listed version they are the d2x v3), you need to have at least the d2x v7 (v8 was last stable release"
    Does this mean I have to find later cIOS 249 and 250 or later d2x at least v7 or both please?
     
  17. DaMan4169

    DaMan4169 Advanced Member

    Newcomer
    95
    4
    Aug 12, 2009
    United States
    The d2x versions of 249 and 250 are the latest ones, you are just a few versions behind...
    They are based off Wanins v21 which is why they labeled the version 210xx.

    If you use Modmii it will build the d2x v8 cIOSs 249 and 250 by default. If you run Modmii classic (white text with blue background) and goto download page 4 type beta, you can change the version of d2x it builds from v1 v8 through the beta v10. I personally use the v9 beta(r49)FIX on my white Wii and v8 final on my black Wii.

    edit:
    looks like it now only allows you to build v8 through beta v10 but there really wasn't a need for any older versions...
     
  18. Sherb
    OP

    Sherb Member

    Newcomer
    10
    0
    May 5, 2014
    thanks ill see how I get on :)
     
  19. Sherb
    OP

    Sherb Member

    Newcomer
    10
    0
    May 5, 2014
    Right got USB Loader GX running now and loading my games etc.


    Again many thanks guys unsure if its guna play them yet but it all looks right happy days. :D